import { Utils as a, URI as P } from "../../../../../vscode-uri@3.0.8/node_modules/vscode-uri/lib/esm/index.js";
var s;
(function(e) {
  e.basename = a.basename, e.dirname = a.dirname, e.extname = a.extname, e.joinPath = a.joinPath, e.resolvePath = a.resolvePath;
  function c(t, n) {
    return (t == null ? void 0 : t.toString()) === (n == null ? void 0 : n.toString());
  }
  e.equals = c;
  function h(t, n) {
    const u = typeof t == "string" ? t : t.path, g = typeof n == "string" ? n : n.path, r = u.split("/").filter((i) => i.length > 0), l = g.split("/").filter((i) => i.length > 0);
    let o = 0;
    for (; o < r.length && r[o] === l[o]; o++)
      ;
    const m = "../".repeat(r.length - o), p = l.slice(o).join("/");
    return m + p;
  }
  e.relative = h;
  function f(t) {
    return P.parse(t.toString()).toString();
  }
  e.normalize = f;
})(s || (s = {}));
export {
  P as URI,
  s as UriUtils
};
